<?php
/**
*	此文件是流程模块【oafk.付款申请单】对应控制器接口文件。
*/ 
class mode_oafkClassAction extends inputAction{
	
	/**
	*	重写函数：保存前处理，主要用于判断是否可以保存
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id 0添加时，大于0修改时
	*	$addbo Boolean 是否添加时
	*	return array('msg'=>'错误提示内容','rows'=> array()) 可返回空字符串，或者数组 rows 是可同时保存到数据库上数组
	*/
	protected function savebefore($table, $arr, $id, $addbo){
	
		 //   $cbzxid= $arr['cbzx_code'];
		 //  	$model = 'c_fund_account';
			// $sql = " cost_id ='$cbzxid' and status = 1 and  is_default=1";
   //           // var_dump($sql);die;
		 //    $data = m($model)->getone($sql,'id,account_balance');

		    // if(!$data){
      //       	 return "未检测到该成本中心默认扣款账户";
      //       }
		   //  if($data['account_balance'] < $arr['amountOfThisPayment']){
		    	          
     //           return "账户余额不足";
		   // }

	}
	
	/**
	*	重写函数：保存后处理，主要保存其他表数据
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id
	*	$addbo Boolean 是否添加时
	*/	


	public function getbankinfoAjax()
    {
        $res['info'] = '没有找到收款信息,请手动填写';

        $numb = $this->post('numb');
        $supplier = $this->db->getone('oa_supplier', 'number = "' . $numb . '"');

        if ($supplier) {
            $sql = 'mid = ' . $supplier['id'];
            $data = $this->db->getone('oa_supplier_bank_info', $sql);
            if($data){
                $info = '账户名称:' . $data['bank_holder'];
                $info .= " 开户银行:" . $data['open_bank_name'];
                $info .= " 银行账号:" . $data['bank_code'];
                $res['status']  = 1;
                $res['info'] = $info;
            }
        } else {
            $res['status'] = 0;
        }
        $this->returnjson($res);
    }
}	
			